Subject: Re: [PATCH] Simplest update to bash completions to prevent unbounded variable errors

From: "Shawn O. Pearce" <[email-masked]>
Date: Tue, 13 Jan 2009 07:33:08 -0800

Ted Pavlic <[email-masked]> wrote:
>>> Another try at fixing bash completions in "set -u" environments.
>> I agree with Junio; setting -u in your interactive shell is as bad
>> as export CDPATH.  Its crazy.
>
> This whole series of patches was inspired by a group of workstations at  
> a university that set -u by default for all users.

The changes look less nasty than I originally thought.  If you can
split the history out and justify the changes in the corresponding
commit messages, I think I can ACK the series.

-- 
Shawn.